Is it possible to add support for NTR in luma 10.0.1?

Discussion in '3DS - Flashcards & Custom Firmwares' started by HIDE810, Jul 11, 2019.

  1. HIDE810
    OP

    HIDE810 Member

    Newcomer
    1
    Apr 22, 2019
    Japan
    Japan
    Is it just to remove pm?
    I don't know well about it.
     
  2. ihaveamac

    ihaveamac GBAtemp Guru

    Member
    15
    Apr 20, 2015
    United States
    Luma3DS 10.0 relies on its reimplementation of pm, and it cannot be disabled. Use 9.1 if you need NTR CFW plugins. It would likely be easier to fix NTR CFW instead.
     
  3. HIDE810
    OP

    HIDE810 Member

    Newcomer
    1
    Apr 22, 2019
    Japan
    Japan
    Which part of NTR CFW should be fixed?
    TuxSH said:
    "NTR CFW" injects itself into pm for plugin stuff https://github.com/44670/NTR/blob/master/source/plg.c#L516 etc.
    Is there anything to replace pm?
     
  4. HIDE810
    OP

    HIDE810 Member

    Newcomer
    1
    Apr 22, 2019
    Japan
    Japan
    I'd like to use Boot NTR Selector on Luma3DS 10.0.1.
     
  5. lone_wolf323

    lone_wolf323 GBAtemp Addict

    Member
    8
    May 27, 2011
    Canada
    Just add luma 9.1 into a chainloader and select 9.1 when you want to use cheats. Its not going to hurt you to use a lower luma version.
     
    Beyondlsd likes this.
  6. HIDE810
    OP

    HIDE810 Member

    Newcomer
    1
    Apr 22, 2019
    Japan
    Japan
    It's not that I want to use cheats. I just want to run NTR CFW on luma 10.0.1 because of my curiosity.
     
  7. lone_wolf323

    lone_wolf323 GBAtemp Addict

    Member
    8
    May 27, 2011
    Canada
    If you dont plan on using codes. Who not just code luma itself? Its gonna be faster than what your wanting.
     
    TurdPooCharger likes this.
  8. Beyondlsd

    Beyondlsd Member

    Newcomer
    2
    Sep 16, 2013
    United States
    sorry for the noob question, but how would you do that? (i.e. keep luma 10 generally, but use 9.1 for cheats?)
     
  9. Obligates

    Obligates Newbie

    Newcomer
    1
    Jun 7, 2019
    United States
    Put luma 9.1 in the luma payloads folder. When you want to use luma 9.1 you can hold the start button when booting your 3ds and it will bring up a menu where you can select it.
     
    Beyondlsd likes this.
  10. godreborn

    godreborn GBAtemp Guru

    Member
    11
    Oct 10, 2009
    United States
    when I tried luma 9.1 that way, ntr still crashed a lot.
     
  11. Beyondlsd

    Beyondlsd Member

    Newcomer
    2
    Sep 16, 2013
    United States

    I ended up just using Lumas built in cheat function.i forgot all i had to do was create the text files and then load up the menu with (L+down+select)
     
Loading...